﻿*SPSS v 17.
*Leemos los datos del fichero MICRODAT.TOTAL.HOGARES.txt. El fichero txt se ha descargado del Instituto Nacional de Estadística..
DATA LIST FILE=@ruta+'\MICRODAT.TOTAL.HOGARES.txt'
/
CCAA 1-2
PROV 3-4
TMUNI 5-5
NSECCION 6-9
DC 10-10
VIV 11-12
HOG 13-13
NORD 14-15
SEXO 16-16
EDAD 17-19
EMP_HOG 20-20
HUES_HOG 21-21
PAIS 22-22
CODPAIS 23-24
NACIO 25-25
PAISNAC 26-27
ECIVIL 28-28
PAREJA 29-29
ESTUDIO 30-31
LIMIT 32-32
CERT_MI 33-33
ACT_ECO 34-35
TRABAJO 36-36
SIT_PRO 37-37
OCU_PRO 38-40
ACT 41-43
DISLIM 44-44
N_MIEM6T 45-46
N_MIEMMT 47-48
N_MIEM6R 49-50
N_MIEMMR 51-52
N_CUESCP 53-54
IM_TRCPA 55-55
IM_PCON 56-56
IM_PNCON 57-57
IM_SUBDE 58-58
IM_PRHIJ 59-59
IM_PRREG 60-60
IM_RTAPC 61-61
IM_OTROS 62-62
NO_INGR 63-63
CD_FUEN 64-64
IM_MENS 65-66
PRES_SS 67-67
PRE_IAN 68-74
GASTO 75-81
CON_GAS1 82-83
CON_GAS2 84-85
CON_GAS3 86-87
N_DOR 88-89
METROS 90-92
DUCHA 93-93
BAÑERA 94-94
COCINA 95-95
FRIGO 96-96
MICROO 97-97
LAVAD 98-98
TELEV 99-99
RADIO 100-100
TELEF_MOV 101-101
TELEF_FIJ 102-102
ORDENAD 103-103
INTERN 104-104
CALEFAC 105-105
AIREAC 106-106
GOTERA 107-107
RUIDO 108-108
MALOLOR 109-109
AGUAM 110-110
CONTAM 111-111
ANIMAL 112-112
TIP_EDIF 113-113
NUM_PL 114-115
ESC_PO 116-116
ESC_ASC 117-117
PAREN_PR 118-119
NORD_D1 120-121
PAREN_D1 122-123
NORD_D2 124-125
PAREN_D2 126-127
NORD_D3 128-129
PAREN_D3 130-131
NORD_D4 132-133
PAREN_D4 134-135
NORD_D5 136-137
PAREN_D5 138-139
FACTOR 140-146 (A).


VARIABLE LABELS 
CCAA 'Comunidad Autónoma de residencia'
PROV 'Provincia de residencia'
TMUNI 'Tamaño de municipio'
NSECCION 'Identificación de la sección: Nº de orden de la sección'
DC 'Identificación de la sección: Dígito de control de la sección'
VIV 'Nº de orden de la vivienda'
HOG 'Nº de hogar dentro de la vivienda'
NORD 'Número de orden de los miembros del hogar'
SEXO 'Sexo'
EDAD 'Edad'
EMP_HOG 'Es empleado del hogar'
HUES_HOG 'Es huésped'
PAIS '1.- País de nacimiento (código)'
CODPAIS '1.- País de nacimiento (código)'
NACIO '2.- Nacionalidad'
PAISNAC '3.- País de la nacionalidad'
ECIVIL '4.- Estado civil'
PAREJA '5.- Convivencia en pareja'
ESTUDIO '6.- Nivel de estudios terminados'
LIMIT '7.- Limitacion para realizar algunas actividades'
CERT_MI '8.- Disposición del certificado de minusvalía'
ACT_ECO '12.-  Actividad económica'
TRABAJO '13.- Ha trabajado alguna vez en su vida'
SIT_PRO '14.- Situación profesional en la ocupación que desempeña o desempeñó en su último empleo'
OCU_PRO '15.- Ocupación profesional que desmpeña o desempeñó en su último empleo'
ACT '16.- Actividad del establecimiento en que trabaja o trabajó en su último empleo'
DISLIM 'Tiene la persona discapacidad o limitación'
N_MIEM6T 'Nº de miembros del hogar de 6 años y más años que tienen alguna discapacidad  (teóricos)'
N_MIEMMT 'Nº de miembros del hogar de  0 a 5  años (menores) que tiene alguna limitación  (teóricos)'
N_MIEM6R 'Cuestionarios de discapacidades de los miembros del hogar de 6 y más años recogidos'
N_MIEMMR 'Cuestionarios de limitaciones de los miembros del hogar de 0 a 5 años recogidos'
N_CUESCP 'Cuestionarios de Cuidadores Principales recogidos'
IM_TRCPA '1. Ingresos monetarios:Trabajo por cuenta propia o ajena'
IM_PCON '1. Ingresos monetarios: Pensiones contributivas'
IM_PNCON '1. Ingresos monetarios: Pensiones no contributivas'
IM_SUBDE '1. Ingresos monetarios: Subsidios y prestaciones por desempleo'
IM_PRHIJ '1. Ingresos monetarios: Asignaciones económicas por hijo a cargo'
IM_PRREG '1. Ingresos monetarios: Otros subsidios y prestaciones sociales regulares'
IM_RTAPC '1. Ingresos monetarios: Rentas de la propiedad y del capital'
IM_OTROS '1. Ingresos monetarios: Otros ingresos regulares'
NO_INGR '1. Ingresos monetarios: Ninguna fuente de ingresos'
CD_FUEN '2. Principal fuente de ingresos'
IM_MENS '3. Importe mensual'
PRES_SS '1. Obtención de alguna prestación en los últimos 12 meses'
PRE_IAN '2. Importe neto de estos ingresos '
GASTO '1. Gasto en el último año por motivos de discapacidad'
CON_GAS1 '2. Conceptos del gasto por motivo de discapacidad (1)'
CON_GAS2 '2. Conceptos del gasto por motivo de discapacidad (2)'
CON_GAS3 '2. Conceptos del gasto por motivo de discapacidad (3)'
N_DOR '1. De cuantos dormitorios dispone el hogar'
METROS '2. De cuantos m2 utiles dispone el hogar'
DUCHA '4. Dispone el hogar de: Ducha'
BAÑERA '4. Dispone el hogar de: Bañera'
COCINA '4. Dispone el hogar de: Cocina a gas'
FRIGO '4. Dispone el hogar de: Frigorífico'
MICROO '4. Dispone el hogar de: Microondas'
LAVAD '4. Dispone el hogar de: Lavadora'
TELEV '4. Dispone el hogar de: Televisor'
RADIO '4. Dispone el hogar de: Radio'
TELEF_MOV '4. Dispone el hogar de: Teléfono móvil'
TELEF_FIJ '4. Dispone el hogar de: Teléfono fijo'
ORDENAD '4. Dispone el hogar de: Ordenador personal'
INTERN '4. Dispone el hogar de: Acceso a internet '
CALEFAC '4. Dispone el hogar de: Calefacción u otro sistema excepto brasero o estufa a gas'
AIREAC '4. Dispone el hogar de: Aire acondicionado'
GOTERA '5. Está expuesta la vivienda a: Goteras, humedades '
RUIDO '5. Está expuesta la vivienda a: Ruido'
MALOLOR '5. Está expuesta la vivienda a: Malos olores'
AGUAM '5. Está expuesta la vivienda a: Agua de consumo de mala calidad'
CONTAM '5. Está expuesta la vivienda a: Contaminación del aire'
ANIMAL '5. Está expuesta la vivienda a: Presencia de animales molestos'
TIP_EDIF '6. Tipo de edificio en el que está ubicada la vivienda'
NUM_PL '6. Número de la planta en que está la vivienda'
ESC_PO '7. Existe algún tramo de escaleras para acceder a la puerta del edificio sin rampa o barandilla u otro sistema'
ESC_ASC '8. Existe algún tramo de escaleras dentro del portal, antes del ascensor o desde este a la vivienda sin rampa o barandilla u otro sistema'
PAREN_PR 'Relación de parentesco con persona de referencia'
NORD_D1 'Número de orden de la 1ª persona con discapacidad distinta de la Persona de Referencia'
PAREN_D1 'Relación de parentesco con 1ª persona con discapacidad del hogar'
NORD_D2 'Número de orden de la 2ª persona con discapacidad de la Persona de Referencia'
PAREN_D2 'Relación de parentesco con 2ª persona con discapacidad del hogar'
NORD_D3 'Número de orden de la 3ª persona con discapacidad de la Persona de Referencia'
PAREN_D3 'Relación de parentesco con 3ª persona con discapacidad del hogar'
NORD_D4 'Número de orden de la 4ª persona con discapacidad de la Persona de Referencia'
PAREN_D4 'Relación de parentesco con 4ª persona con discapacidad del hogar'
NORD_D5 'Número de orden de la 5ª persona con discapacidad de la Persona de Referencia'
PAREN_D5 'Relación de parentesco con 5ª persona con discapacidad del hogar'
FACTOR 'Factor de elevación'.
EXECUTE .

VALUE LABELS 
/CCAA
01 'Andalucía'
02 'Aragón'
03 'Principado de Asturias'
04 'Illes Balears'
05 'Canarias'
06 'Cantabria'
07 'Castilla y Leon'
08 'Castilla - La Mancha'
09 'Cataluña'
10 'Comunitat Valenciana'
11 'Extremadura'
12 'Galicia'
13 'Comunidad de madrid'
14 'Región de Murcia'
15 'Comunidad Foral de Navarra'
16 'País Vasco'
17 'La Rioja'
18 'Ceuta y Melilla'
/PROV
01 'Álava'
02 'Albacete'
03 'Alicante/Alacant'
04 'Almería'
05 'Ávila'
06 'Badajoz '
07 'Balears (Illes)'
08 'Barcelona'
09 'Burgos'
10 'Cáceres'
11 'Cádiz'
12 'Castellón/Castelló'
13 'Ciudad Real'
14 'Córdoba'
15 'Coruña (A)'
16 'Cuenca'
17 'Girona'
18 'Granada'
19 'Guadalajara'
20 'Guipúzcoa'
21 'Huelva'
22 'Huesca'
23 'Jaén'
24 'León'
25 'Lleida '
26 'Rioja (La) '
27 'Lugo '
28 'Madrid'
29 'Málaga '
30 'Murcia'
31 'Navarra'
32 'Ourense'
33 'Asturias'
34 'Palencia'
35 'Palmas (Las)'
36 'Pontevedra'
37 'Salamanca'
38 'Santa Cruz de Tenerife'
39 'Cantabria'
40 'Segovia'
41 'Sevilla'
42 'Soria'
43 'Tarragona'
44 'Teruel'
45 'Toledo'
46 'Valencia/València'
47 'Valladolid'
48 'Vizcaya'
49 'Zamora'
50 'Zaragoza'
51 'Ceuta'
52 'Melilla '
/TMUNI
1 'Capital de provincia y municipios de más de 100.000 habitantes'
2 'De 50.000 a 100.000 habitantes'
3 'De 20.000 a menos de 50.000 habitantes'
4 'De 10.000 a menos de 20.000 habitantes'
5 'Menos de 10.000 habitantes'
/SEXO
1 'Varón'
6 'Mujer'
/EMP_HOG
1 'Sí'
6 'No'
/HUES_HOG
1 'Sí'
6 'No'
/PAIS
1 'España'
6 'Otro país'
/CODPAIS
01 'Un país de la Unión Europea excepto Rumanía y Bulgaria (EU-25)'
02 'Rumanía y Bulgaria'
03 'Otro país de Europa'
04 'Canadá o EEUU'
05 'Ecuador'
06 'Colombia'
07 'Otro país de América'
08 'Un país de Asia'
09 'Marruecos'
10 'Otros país de África'
11 'Un país de Oceanía'
99 'No consta'
/NACIO
1 'Española'
2 'Extranjera'
3 'Española y otra'
/PAISNAC
01 'Un país de la Unión Europea excepto Rumanía y Bulgaria (EU-25)'
02 'Rumanía y Bulgaria'
03 'Otro país de Europa'
04 'Canadá o EEUU'
05 'Ecuador'
06 'Colombia'
07 'Otro país de América'
08 'Un país de Asia'
09 'Marruecos'
10 'Otros país de África'
11 'Un país de Oceanía'
99 'No consta'
/ECIVIL
1 'Soltero'
2 'Casado'
3 'Viudo'
4 'Separado legalmente'
5 'Divorciado'
9 'NC'
/PAREJA
1 'Sí'
6 'No'
9 'NC'
/ESTUDIO
01 'No procede, es menor de 10 años'
02 'No sabe leer ni escribir'
03 'Estudios primarios incompletos'
04 'Estudios primarios o equivalentes'
05 'Educación secundaria de 1ª etapa'
06 'Estudios de bachillerato'
07 'Enseñanza profesional de grado medio'
08 'Enseñanzas profesionales superiores'
09 'Estudios universitarios o equivalentes '
99 'NC'
/LIMIT
1 'Sí, gravemente limitado'
2 'Sí, limitado pero no gravemente'
3 'No'
9 'NC'
/CERT_MI
1 'Sí'
6 'No'
9 'NC'
/ACT_ECO
01 'Trabajando '
02 'En desempleo'
03 'Percibiendo pensión contributiva de jubilación o incapacidad permanente'
04 'Percibiendo otro tipo de pensión'
05 'Incapacitado para trabajar'
06 'Estudiante'
07 'Dedicado principalmente a las labores del hogar'
08 'Sin remuneración trabajos sociales o actividades benéficas'
09 'Otra situación'
99 'NC'
/TRABAJO
1 'Sí'
6 'No'
9 'NC'
/SIT_PRO
1 'Empresario o trabajador autónomo con asalariados'
2 'Empresario o trabajador autónomo sin asalariados'
3 'Ayuda familiar'
4 'Asalariado'
5 'Miembro de una cooperativa'
6 'Otra situación'
9 'NC'
/OCU_PRO
001 'Fuerzas Armadas. Escala superior'
002 'Fuerzas Armadas. Escala media'
003 'Fuerzas Armadas. Escala básica'
101 'Poder ejecutivo y legislativo, y consejo general del poder judicial'
102 'Personal directivo de las administraciones publicas'
103 'Gobierno local'
104 'Dirección de organizaciones de interés'
111 'Dirección general y presidencia ejecutiva'
112 'Dirección de departamento de producción'
113 'Dirección de áreas y departamentos especializados'
121 'Gerencia de empresas de comercio al por mayor con menos de 10 asalariados'
122 'Gerencia de empresas de comercio al por menor con menos de 10 asalariados'
131 'Gerencia de empresas de hospedaje con menos de 10 asalariados'
132 'Gerencia de empresas de restauración con menos de 10 asalariados'
140 'Gerencia de otras empresas con menos de 10 asalariados'
151 'Gerencia de empresas de comercio al por mayor sin asalariados'
152 'Gerencia de empresas de comercio al por menor sin asalariados'
161 'Gerencia de empresas de hospedaje sin asalariados'
162 'Gerencia de empresas de restauración sin asalariados'
170 'Gerencia de otras empresas sin asalariados'
201 'Físicos, químicos y asimilados'
202 'Matemáticos, actuarios, estadísticos y asimilados'
203 'Profesionales de la informática de nivel superior'
204 'Arquitectos, urbanistas e ingenieros planificadores de tráfico'
205 'Ingenieros superiores'
211 'Profesionales en ciencias naturales'
212 'Médicos y odontólogos'
213 'Veterinarios'
214 'Farmacéuticos'
219 'Otros profesionales de nivel superior de la sanidad'
221 'Profesores de universidades y otros centros de enseñanza superior'
222 'Profesores de enseñanza secundaria'
223 'Otros profesionales de la enseñanza'
231 'Abogados y fiscales'
232 'Jueces y magistrados'
239 'Otros profesionales del derecho'
241 'Profesionales en organización y administración de empresas'
242 'Economistas'
243 'Sociólogos, historiadores, filósofos, filólogos, psicólogos y asimilados'
251 'Escritores y artistas de la creación o de la interpretación'
252 'Archiveros, bibliotecarios y profesionales asimilados'
253 'Diversos profesionales de las administraciones publicas que no pueden ser clasificados en apartados anteriores'
261 'Profesionales asociados a una titulación de 1er ciclo universitario en ciencias físicas, químicas y asimilados'
262 'Profesionales asociados a una titulacion de 1er ciclo universitario en matematicas, estadistica y asimilados'
263 'Profesionales de nivel medio de informática'
264 'Arquitectos técnicos'
265 'Ingenieros técnicos'
271 'Profesionales asociados a una titulación de 1er ciclo universitario en ciencias naturales'
272 'Enfermeros'
281 'Profesores de enseñanza primaria e infantil'
282 'Profesores de educación especial'
283 'Profesorado técnico de formación profesional'
291 'Diplomados en contabilidad y graduados sociales y técnicos de empresas y actividades turísticas'
292 'Ayudantes de archivo, biblioteca y asimilados'
293 'Diplomados en trabajo social'
294 'Sacerdotes de las distintas religiones'
295 'Otros profesionales de las administraciones públicas que no pueden ser clasificados en apartados anteriores'
301 'Delineantes y diseñadores técnicos'
302 'Técnicos de las ciencias físicas, químicas y de las ingenierías'
303 'Profesionales técnicos de la informática'
304 'Operadores de equipos ópticos y electrónicos'
305 'Profesionales en navegación marítima'
306 'Profesionales en navegación aeronáutica'
307 'Técnicos en edificación, seguridad en el trabajo y control de calidad'
311 'Técnicos de las ciencias naturales y profesionales auxiliares asimilados'
312 'Técnicos de sanidad'
313 'Diversos técnicos de sanidad no clasificados en rúbricas anteriores'
321 'Técnicos en educación infantil y educación especial'
322 'Instructores de vuelo, navegación y conducción de vehículos'
331 'Profesionales de apoyo en operaciones financieras y algunas operaciones comerciales'
332 'Representantes de comercio y tecnicos de venta'
341 'Profesionales de apoyo de la gestión administrativa, con tareas administrativas generales'
342 'Profesionales de carácter administrativo de aduanas, de tributos y asimilados que trabajan en tareas propias de las administraciones públicas'
351 'Consignatarios y agentes en la contratación de mano de obra'
352 'Tecnicos especialistas de las Fuerzas de Seguridad y detectives privados'
353 'Profesionales de apoyo de promoción social'
354 'Profesionales del mundo artístico, del espectáculo y de los deportes'
355 'Auxiliares laicos de las religiones'
401 'Auxiliares contables y financieros'
402 'Empleados de registro de materiales, de servicios de apoyo a la producción y al transporte'
410 'Empleados de bibliotecas, servicios de correos y asimilados'
421 'Taquígrafos y mecanógrafos'
422 'Grabadores de datos'
430 'Auxiliares administrativos sin tareas de atención al público no clasificados anteriormente'
440 'Auxiliares administrativos con tareas de atención al público no clasificados anteriormente'
451 'Empleados de información y recepcionistas en oficinas'
452 'Empleados de agencias de viajes, recepcionistas en establecimientos distintos de oficinas y telefonistas'
460 'Cajeros, taquilleros y otros empleados asimilados en trato directo con el público'
501 'Cocineros y otros preparadores de comidas'
502 'Camareros, bármanes y asimilados'
503 'Jefes de cocineros, de camareros y asimilados'
511 'Auxiliares de enfermería y asimilados'
512 'Trabajadores que se dedican al cuidado de personas y asimilados (excepto auxiliares de enfermería)'
513 'Peluqueros, especialistas en tratamiento de belleza y trabajadores asimilados'
514 'Trabajadores que atienden a viajeros y asimilados'
515 'Mayordomos, ecónomos y asimilados'
519 'Otros trabajadores de servicios personales'
521 'Guardias civiles'
522 'Policías'
523 'Bomberos'
524 'Funcionario de prisiones'
525 'Guardias jurados y personal de seguridad privado'
529 'Otros trabajadores de los servicios de protección y seguridad'
531 'Modelos de moda, arte y publicidad'
532 'Encargado de sección dentro de un comercio y asimilados'
533 'Dependientes y exhibidores en tiendas, almacenes, quioscos y mercados'
601 'Trabajadores cualificados por cuenta propia en actividades agrícolas'
602 'Trabajadores cualificados por cuenta ajena en actividades agrícolas'
611 'Trabajadores cualificados por cuenta propia en actividades ganaderas'
612 'Trabajadores cualificados por cuenta ajena en actividades ganaderas'
621 'Trabajadores cualificados por cuenta propia en actividades agropecuarias'
622 'Trabajadores cualificados por cuenta propia en actividades forestales y asimilados'
623 'Trabajadores cualificados por cuenta ajena en actividades agropecuarias'
624 'Trabajadores cualificados por cuenta ajena en actividades forestales y asimilados'
631 'Pescadores y trabajadores cualificados por cuenta propia en actividades piscícolas'
632 'Pescadores y trabajadores cualificados por cuenta ajena en actividades piscícolas'
701 'Encargados y jefes de equipo en obras estructurales de la construcción'
702 'Jefes de taller y encargados de trabajadores de acabado de edificios'
703 'Encargados de pintores, empapeladores y asimilados'
711 'Albañiles y mamposteros'
712 'Trabajadores en hormigón armado, enfoscadores, ferrallistas y asimilados'
713 'Carpinteros (excepto carpinteros de estructuras metálicas)'
714 'Otros trabajadores de las obras estructurales de construcción'
721 'Revocadores, escayolistas y estuquistas'
722 'Fontaneros e instaladores de tuberías'
723 'Electricista de construcción y asimilados'
724 'Pintores, barnizadores, empapeladores y asimilados'
725 'Personal de limpieza de fachadas de edificios y deshollinadores'
729 'Otros trabajadores de acabado de construcción y asimilados'
731 'Jefes de taller y encargados de moldeadores, soldadores montadores de estructuras metálicas y afines'
732 'Jefes de taller de vehículos de motor'
733 'Jefes de taller de máquinas agrícolas e industriales y motores de avión'
734 'Jefes de equipos de mecánicos y ajustadores de equipos eléctricos y electrónicos'
741 'Encargados y capataces de la minería'
742 'Mineros, canteros, pegadores y labrantes de piedras'
751 'Moldeadores, soldadores, chapistas, montadores de estructuras metálicas y trabajadores asimilados'
752 'Herreros, elaboradores de herramientas y asimilados'
761 'Mecanicos y ajustadores de maquinaria'
762 'Mecánicos y ajustadores de equipos eléctricos y electrónicos'
771 'Mecánicos de precisión en metales y materiales similares'
772 'Trabajadores de artes gráficas y asimilados'
773 'Ceramistas, vidrieros y asimilados'
774 'Artesanos de la madera, de textiles, del cuero y materiales similares'
780 'Trabajadores de la industria de la alimentación, bebidas y tabaco'
791 'Trabajadores que tratan la madera y asimilados'
792 'Ebanistas y trabajadores asimilados'
793 'Trabajadores de la industria textil, la confección y asimilados'
794 'Trabajadores de la industria de la piel, del cuero y del calzado'
801 'Encargados en instalaciones mineras'
802 'Encargados en instalaciones de procesamiento de metales'
803 'Encargados de taller de vidriería, cerámica y asimilados'
804 'Encargados de taller de madera y jefes de equipo en la fabricación de papel'
805 'Jefes de equipo en instalaciones de tratamiento quimico'
806 'Jefes de equipo en instalaciones de producción de energía y asimilados'
807 'Jefes de equipo de operadores de robots industriales'
811 'Operadores en instalaciones de la extracción y explotación de minerales'
812 'Operadores en instalaciones para la obtención y transformación de metales'
813 'Operadores en instalaciones para la obtención, transformación y manipulado del vidrio y la cerámica y asimilados'
814 'Operadores en instalaciones para el trabajo de la madera y la fabricación de papel'
815 'Operadores en plantas industriales químicas'
816 'Operadores en plantas para producción de energía y similares'
817 'Operadores de robots industriales'
821 'Encargado de operadores de máquinas para trabajar metales'
822 'Encargado de operadores de máquinas para fabricar productos químicos'
823 'Encargado de operadores de máquinas para fabricar productos de caucho y de material plástico'
824 'Encargado de operadores de máquinas para fabricar productos de madera'
825 'Jefes de taller de imprenta, encuadernación y fabricación de productos de papel'
826 'Encargado de operadores de máquinas para fabricar productos textiles y artículos de piel y cuero'
827 'Encargado de operadores de máquinas para elaborar productos alimenticios, bebidas y tabaco'
828 'Encargado de montadores'
831 'Operadores de máquinas para trabajar metales y otros productos minerales'
832 'Operadores de máquinas para fabricar productos químicos'
833 'Operadores de máquinas para fabricar productos de caucho y plástico'
834 'Operadores de máquinas para fabricar productos de madera'
835 'Operadores de máquinas para imprimir, encuadernar y para fabricar productos de papel y cartón'
836 'Operadores de máquinas para fabricar productos textiles artículos de piel y de cuero'
837 'Operadores de máquinas para elaborar productos alimenticios, bebidas y tabaco'
841 'Montadores y ensambladores'
849 'Otros montadores y ensambladores'
851 'Maquinistas de locomotoras y asimilados'
852 'Encargado de operadores de maquinaria de movimiento de tierras y de materiales'
853 'Operadores de maquinaria agrícola móvil'
854 'Operadores de otras máquinas móviles'
855 'Marineros de cubierta de barco y asimilados'
861 'Taxistas y conductores de automóviles y furgonetas'
862 'Conductores de autobuses'
863 'Conductores de camiones'
864 'Conductores de motocicletas y ciclomotores'
900 'Vendedores ambulantes y asimilados'
911 'Empleados del hogar'
912 'Personal de limpieza de oficinas, hoteles y otros trabajadores asimilados'
921 'Conserjes de edificios, limpiacristales y asimilados'
922 'Vigilantes, guardianes y asimilados'
931 'Limpiabotas y otros trabajadores de oficios callejeros'
932 'Ordenanzas'
933 'Mozos de equipaje y asimilados'
934 'Lectores de contadores (agua...) y recolectores de dinero de máquinas expendedoras'
935 'Recogedores de basura y obreros asimilados'
941 'Peones agrícolas'
942 'Peones ganaderos'
943 'Peones agropecuarios'
944 'Peones forestales'
945 'Peones de la pesca'
950 'Peones de la minería'
960 'Peones de la construcción'
970 'Peones de industrias manufactureras'
980 'Peones del transporte y descargadores'
/ACT
01 'Agricultura, ganadería, caza y actividades de los servicios relacionados con las mismas'
02 'Selvicultura, explotación forestal y actividades de los servicios relacionados con las mismas'
05 'Pesca, acuicultura y actividades de los servicios relacionados con las mismas'
10 'Extracción y aglomeración de antracita, hulla, lignito y turba'
11 'Extracción de crudos de petróleo y gas natural; actividades de los servicios relacionados con las explotaciones petrolíferas y de gas, excepto actividades de prospección'
12 'Extracción de minerales de uranio y torio'
13 'Extracción de minerales metálicos'
14 'Extracción de minerales no metálicos ni energéticos'
15 'Industria de productos alimenticios y bebidas'
16 'Industria del tabaco'
17 'Industria textil'
18 'Industria de la confección y de la peletería'
19 'Preparación curtido y acabado del cuero; fabricación de artículos de marroquinería y viaje; artículos de guarnicionería talabartería y zapatería'
20 'Industria de la madera y del corcho, excepto muebles; cestería y espartería'
21 'Industria del papel'
22 'Edición, artes gráficas y reproducción de soportes grabados'
23 'Coquerías, refino de petróleo y tratamiento de combustibles nucleares'
24 'Industria química'
25 'Fabricacion de productos de caucho y materias plasticas'
26 'Fabricación de otros productos minerales no metálicos'
27 'Metalurgia'
28 'Fabricación de productos metálicos, excepto maquinaria y equipo'
29 'Industria de la construción de maquinaria y equipo mecánico'
30 'Fabricación de máquinas de oficina y equipos informáticos'
31 'Fabricación de maquinaria y material eléctrico'
32 'Fabricación de material electrónico; fabricación de equipo y aparatos de radio, televisión y comunicaciones'
33 'Fabricación de equipo e instrumentos médico-quirúrgicos, de precisión, óptica y relojería'
34 'Fabricación de vehículos de motor, remolques y semirremolques'
35 'Fabricación de otro material de transporte'
36 'Fabricación de muebles; otras industrias manufactureras'
37 'Reciclaje'
40 'Producción y distribución de energía eléctrica, gas, vapor y agua caliente'
41 'Captación, depuración y distribución de agua'
45 'Construcción'
50 'Venta, mantenimiento y reparación de vehículos de motor, motocicletas y ciclomotores; venta al por menor de combustible para vehículos de motor'
51 'Comercio al por mayor e intermediarios del comercio, excepto de vehículos de motor y motocicletas'
52 'Comercio al por menor, excepto el comercio de vehículos de motor, motocicletas y ciclomotores; reparación de efectos personales y enseres domést icos'
55 'Hostelería'
60 'Transporte terrestre; transporte por tuberías'
61 'Transporte marítimo, de cabotaje y por vias de navegación interiores'
62 'Transporte aereo y espacial'
63 'Actividades anexas a los transportes; actividades de agencias de viajes'
64 'Correos y telecomunicaciones'
65 'Intermediación financiera, excepto seguros y planes de pensiones'
66 'Seguros y planes de pensiones, excepto seguridad social obligatoria'
67 'Actividades auxiliares a la intermediación financiera'
70 'Actividades inmobiliarias'
71 'Alquiler de maquinaria y equipo sin operario, de efectos personales y enseres domesticos'
72 'Actividades informaticas'
73 'Investigacion y desarrollo'
74 'Otras actividades empresariales'
75 'Administración pública, defensa y seguridad social obligatoria'
80 'Educación'
85 'Actividades sanitarias y veterinarias, servicio social'
90 'Actividades de saneamiento público'
91 'Actividades asociativas'
92 'Actividades recreativas, culturales y deportivas'
93 'Actividades diversas de servicios personales'
95 'Hogares que emplean personal doméstico'
99 'Organismos extraterritoriales'
999 'NC'
/DISLIM
1 'Sí'
6 'No'
/IM_TRCPA
1 'Sí'
6 'No'
9 'NC'
/IM_PCON
1 'Sí'
6 'No'
9 'NC'
/IM_PNCON
1 'Sí'
6 'No'
9 'NC'
/IM_SUBDE
1 'Sí'
6 'No'
9 'NC'
/IM_PRHIJ
1 'Sí'
6 'No'
9 'NC'
/IM_PRREG
1 'Sí'
6 'No'
9 'NC'
/IM_RTAPC
1 'Sí'
6 'No'
9 'NC'
/IM_OTROS
1 'Sí'
6 'No'
9 'NC'
/NO_INGR
1 'Sí'
6 'No'
9 'NC'
/CD_FUEN
1 'Trabajo por cuenta propia o ajena'
2 'Pensiones contributivas'
3 'Pensiones no contributivas'
4 'Prestaciones y subsidios de desempleo'
5 'Asignaciones económicas por hijo a cargo'
6 'Otros subsidios y prestaciones sociales regulares'
7 'Rentas de la propiedad y del capital'
8 'Otros ingresos monetarios'
9 'NC'
/IM_MENS
01 'Menos de 500 euros'
02 'De 500 a menos de 1000 euros'
03 'De 1000 a menos de 1500 euros'
04 'De 1500 a menos de 2000 euros'
05 'De 2000 a menos de 2500 euros'
06 'De 2500 a menos de 3000 euros'
07 'De 3000 a menos de 5000 euros'
08 'De 5000 a menos de 7000 euros'
09 'De 7000 a menos de 9000 euros'
10 'De 9000 y más euros'
99 'NC'
/PRES_SS
1 'Sí'
6 'No'
9 'NC'
/PRE_IAN
9999999 'NC'
/GASTO
9999999 'NC'
/CON_GAS1
01 'Ayudas técnicas'
02 'Adaptaciones'
03 'Asistencia personal'
04 'Tratamientos médicos,terapéuticos, habilitadores, rehabilitadores'
05 'Fármacos'
06 'Transporte y desplazamiento'
07 'Escolarización, formación aprendizaje, adiestramiento'
08 'Vivienda'
09 'Equipamiento y suministros del hogar'
10 'Ropa,útiles personales de uso común'
11 'Defensa de los derechos, protección legal'
12 'Protección (previsión) económica'
13 'Trámites, gestión, administración'
14 'Otros gastos'
99 'NC'
/CON_GAS2
02 'Adaptaciones'
03 'Asistencia personal'
04 'Tratamientos médicos,terapéuticos, habilitadores, rehabilitadores'
05 'Fármacos'
06 'Transporte y desplazamiento'
07 'Escolarización, formación aprendizaje, adiestramiento'
08 'Vivienda'
09 'Equipamiento y suministros del hogar'
10 'Ropa,útiles personales de uso común'
11 'Defensa de los derechos, protección legal'
12 'Protección (previsión) económica'
13 'Trámites, gestión, administración'
14 'Otros gastos'
99 'NC'
/CON_GAS3
03 'Asistencia personal'
04 'Tratamientos médicos,terapéuticos, habilitadores, rehabilitadores'
05 'Fármacos'
06 'Transporte y desplazamiento'
07 'Escolarización, formación aprendizaje, adiestramiento'
08 'Vivienda'
09 'Equipamiento y suministros del hogar'
10 'Ropa,útiles personales de uso común'
11 'Defensa de los derechos, protección legal'
12 'Protección (previsión) económica'
13 'Trámites, gestión, administración'
14 'Otros gastos'
99 'NC'
/N_DOR
99 'NC'
/METROS
999 'NC'
/DUCHA
1 'Sí'
6 'No'
9 'NC'
/BAÑERA
1 'Sí'
6 'No'
9 'NC'
/COCINA
1 'Sí'
6 'No'
9 'NC'
/FRIGO
1 'Sí'
6 'No'
9 'NC'
/MICROO
1 'Sí'
6 'No'
9 'NC'
/LAVAD
1 'Sí'
6 'No'
9 'NC'
/TELEV
1 'Sí'
6 'No'
9 'NC'
/RADIO
1 'Sí'
6 'No'
9 'NC'
/TELEF_MOV
1 'Sí'
6 'No'
9 'NC'
/TELEF_FIJ
1 'Sí'
6 'No'
9 'NC'
/ORDENAD
1 'Sí'
6 'No'
9 'NC'
/INTERN
1 'Sí'
6 'No'
9 'NC'
/CALEFAC
1 'Sí'
6 'No'
9 'NC'
/AIREAC
1 'Sí'
6 'No'
9 'NC'
/GOTERA
1 'Sí'
6 'No'
9 'NC'
/RUIDO
1 'Sí'
6 'No'
9 'NC'
/MALOLOR
1 'Sí'
6 'No'
9 'NC'
/AGUAM
1 'Sí'
6 'No'
9 'NC'
/CONTAM
1 'Sí'
6 'No'
9 'NC'
/ANIMAL
1 'Sí'
6 'No'
9 'NC'
/TIP_EDIF
1 'Unifamiliar'
2 'Edificio de pisos con ascensor'
3 'Edificio de pisos sin ascensor'
/ESC_PO
1 'Sí'
6 'No'
9 'NC'
/ESC_ASC
1 'Sí'
6 'No'
9 'NC'
/PAREN_PR
01 'Cónyuge/pareja'
02 'Hijo/a'
03 'Yerno/Nuera (de la persona de la cabecera o de su cónyuge o pareja)'
04 'Padre/ madre'
05 'Padre/ madre del cónyuge o pareja de la persona de la cabecera'
06 'Hermano/a'
07 'Cuñado/a o concuñado/a'
08 'Abuelo/a'
09 'Nieto/a'
10 'Otro pariente'
11 'Otro pariente del cónyuge o pareja de la persona de la cabecera'
12 'Persona residente empleada en el hogar'
13 'Huésped'
14 'Otra relación'
99 'No consta'
/PAREN_D1, PAREN_D2, PAREN_D3, PAREN_D4, PAREN_D5
01 'Cónyuge/pareja'
02 'Hijo/a'
03 'Yerno/Nuera (de la persona de la cabecera o de su cónyuge o pareja)'
04 'Padre/ madre'
05 'Padre/ madre del cónyuge o pareja de la persona de la cabecera'
06 'Hermano/a'
07 'Cuñado/a o concuñado/a'
08 'Abuelo/a'
09 'Nieto/a'
10 'Otro pariente'
11 'Otro pariente del cónyuge o pareja de la persona de la cabecera'
12 'Persona residente empleada en el hogar'
13 'Huésped'
14 'Otra relación'
99 'No consta'.
EXECUTE.

* Para cambiar en Factor punto por coma.
LOOP IF INDEX(FACTOR,".")>0.
+ COMPUTE SUBSTR(FACTOR,INDEX(FACTOR,"."),1)=",".
END LOOP.
* Calculamos tabla de frecuencias de sexo, por ejemplo, para que no se quede parado el procesador después del Loop.
frequencies sexo. 
* cambiamos el formato de factor_bis de cadena a numérico.
alter type FACTOR (f11.2).

*Guardamos el archico como MICRODAT.TOTAL.HOGARES.sav.
SAVE OUTFILE=@destino+'\MICRODAT.TOTAL.HOGARES.sav'.
DATASET NAME DataSet1.
*Cerramos el visor.
OUTPUT CLOSE *.
