*Josep Pascual i Bardaj pascalpsi.es
Licencia: Creative Commons Attribution-NonCommercial 4.0
En MICRODAT.TOTAL.HOGARES.sav creamos y calculamos el factor de ponderacin y las variables IdentHogar, IP, EDADGr, EDADGr65
creando el archivo MICRODAT.TOTAL.HOGARES1.sav.


DATASET ACTIVATE DataSet1.
NUMERIC PONDERA (f4.2).
VARIABLE LABELS
PONDERA 'Factor de ponderacion'.
EXECUTE.
COMPUTE PONDERA=FACTOR*258187/45031742.
EXECUTE.

*Creamos las variables IdentHogar, IP, EDADGr, EDADGr65.
STRING IdentHogar (A8), IP (A12), EDADGr (A5), EDADGr65 (A1).

VARIABLE LABELS
IdentHogar 'Identificador nico hogar'
IP 'Identificador nico persona'
EDADGr 'Grupos de edad'
EDADGr65 'Mayor o igual a 65 aos'.
EXECUTE.

VALUE LABELS 
/EDADGr65
0 '0-64'
1 '65-'.
EXECUTE.

COMPUTE IdentHogar=CONCAT(RTRIM(STRING(NSECCION,F4)),RTRIM(STRING(DC,F1)),RTRIM(STRING(VIV,F2)),RTRIM(STRING(HOG,F1))). 
EXECUTE.
COMPUTE IP=CONCAT(RTRIM(STRING(NSECCION,F4)),RTRIM(STRING(DC,F1)),RTRIM(STRING(VIV,F2)),RTRIM(STRING(HOG,F1)),RTRIM(STRING(NORD,F2))). 
EXECUTE.
RECODE EDAD (0 thru 9='0-9') (10 thru 19='10-19') (20 thru 29='20-29') (30 thru 39='30-39') (40 thru 49='40-49') (50 thru 59='50-59' )
(60 thru 69='60-69') (70 thru 79='70-79') (80 thru 150='80-') INTO EDADGr. 
EXECUTE.
RECODE EDAD (0 thru 64='0') (65 thru 150='1') INTO EDADGr65. 
EXECUTE.

*Guardamos el archivo como MICRODAT.TOTAL.HOGARES1.sav.
SAVE OUTFILE=@destino+'\MICRODAT.TOTAL.HOGARES1.sav'
 /COMPRESSED.
EXECUTE.

*Cerramos el visor.
OUTPUT CLOSE *.

