*SPSS v 17.
*Leemos los datos del fichero MICRODAT.TOTAL.LIMITA.txt. El fichero txt se ha descargado del Instituto Nacional de Estadstica..
DATA LIST FILE=@ruta+'\MICRODAT.TOTAL.LIMITA.txt'
/
CCAA 1-2
PROV 3-4
TMUNI 5-5
NSECCION 6-9
DC 10-10
VIV 11-12
HOG 13-13
NORD 14-15
SEXO 16-16
EDAD 17-17
E_MESES 18-19
INFOR_RELAC 20-20
INFOR_HOG 21-21
CODLIMIT_1 22-23
DEFIC_1 24-25
CODLIMIT_2 26-27
DEFIC_2 28-29
CODLIMIT_3 30-31
DEFIC_3 32-33
CODLIMIT_4 34-35
DEFIC_4 36-37
CODLIMIT_5 38-39
DEFIC_5 40-41
CODLIMIT_6 42-43
DEFIC_6 44-45
CODLIMIT_7 46-47
DEFIC_7 48-49
CODLIMIT_8 50-51
DEFIC_8 52-53
CODLIMIT_9 54-55
DEFIC_9 56-57
CODLIMIT_10 58-59
DEFIC_10 60-61
CODLIMIT_11 62-63
DEFIC_11 64-65
CODLIMIT_12 66-67
DEFIC_12 68-69
CODLIMIT_13 70-71
DEFIC_13 72-73
B_2 74-74
B_3 75-75
B_4 76-76
B_5 77-77
B_6 78-78
B_7 79-79
B_8_1 80-80
B_8_2 81-82
B_9 83-83
B_10_1 84-84
B_10_2 85-86
B_11_1 87-87
B_11_2 88-88
B_11_3 89-89
B_11_4 90-90
B_11_5 91-91
B_11_6 92-92
B_11_7 93-93
B_11_8 94-94
B_11_9 95-95
B_11_10 96-96
B_12 97-98
B_13 99-99
C_1 100-100
C_2 101-101
C_3 102-102
C_4_1_COD 103-104
C_4_2_COD 105-106
D_1 107-107
D_2 108-108
E_1 109-109
E_2 110-110
E_3 111-111
E_3_NORD1 112-113
E_3_NORD2 114-115
E_3_NORD3 116-117
E_4 118-118
E_4_NORD1 119-120
E_4_NORD1SS 121-121
E_5 122-122
E_6_1 123-123
E_6_2 124-124
E_6_3 125-125
E_6_4 126-126
E_6_5 127-127
E_6_6 128-128
E_6_7 129-129
E_6_8 130-130
E_6_9 131-131
E_6_10 132-132
E_6_11 133-133
E_6_12 134-134
E_6_13 135-135
E_6_14 136-136
E_7  137-138
E_8 139-139
E_9 140-140
E_10_NORD 141-143
CC_INFORM 144-144
CC_PROXY 145-145
CC_B_1 146-146
CC_B_2 147-149
CC_B_3 150-150
CC_B_4 151-151
CC_B_5 152-153
CC_B_6 154-154
CC_B_7 155-156
CC_B_8 157-158
CC_B_9 159-159
CC_B_10 160-160
CC_B_11 161-161
CC_B_12_1 162-162
CC_B_12_2 163-164
CC_B_13 165-165
CC_B_16_1 166-166
CC_B_16_2 167-167
CC_B_16_3 168-168
CC_B_16_4 169-169
CC_B_16_5 170-170
CC_B_16_6 171-171
CC_B_16_7 172-172
CC_B_17_1 173-173
CC_B_17_2 174-174
CC_B_17_3 175-175
CC_B_17_4 176-176
CC_B_17_5 177-177
CC_B_17_6 178-178
CC_B_17_7 179-179
CC_B_17_8 180-180
CC_B_18_1 181-181
CC_B_18_2 182-182
CC_B_18_3 183-183
CC_B_18_4 184-184
CC_B_18_5 185-185
CC_B_18_6 186-186
CC_B_18_7 187-187
CC_B_18_8 188-188
CC_B_18_9 189-189
CC_B_18_10 190-190
FACTOR 191-197 (A).
EXECUTE .

VARIABLE LABELS 
CCAA 'Comunidad Autnoma de residencia'
PROV 'Provincia de residencia'
TMUNI 'Tamao de Municipio'
NSECCION 'Identificacin de la seccin: N de orden de la seccin'
DC 'Identificacin de la seccin: Dgito de control de la seccin'
VIV 'N de orden de la vivienda'
HOG 'N de hogar dentro de la vivienda'
NORD 'N de orden de la persona con discapacidad'
SEXO 'Sexo del nio con limitacin'
EDAD 'Edad del menor con alguna limitacin'
E_MESES 'Edad que tiene el menor contabilizada en meses'
INFOR_RELAC 'Relacin del informante con el menor cn alguna limitacin'
INFOR_HOG 'Es el informante miembro del hogar'
CODLIMIT_1 'Cdigo de la 1 limitacin del menor'
DEFIC_1 'Deficiencia de origen de la 1 limitacin del menor'
CODLIMIT_2 'Cdigo de la 2 limitacin del menor'
DEFIC_2 'Deficiencia de origen de la 2 limitacin del menor'
CODLIMIT_3 'Cdigo de la 3 limitacin del menor'
DEFIC_3 'Deficiencia de origen de la 3 limitacin del menor'
CODLIMIT_4 'Cdigo de la 4 limitacin del menor'
DEFIC_4 'Deficiencia de origen de la 4 limitacin del menor'
CODLIMIT_5 'Cdigo de la 5 limitacin del menor'
DEFIC_5 'Deficiencia de origen de la 5 limitacin del menor'
CODLIMIT_6 'Cdigo de la 6 limitacin del menor'
DEFIC_6 'Deficiencia de origen de la 6 limitacin del menor'
CODLIMIT_7 'Cdigo de la 7 limitacin del menor'
DEFIC_7 'Deficiencia de origen de la 7 limitacin del menor'
CODLIMIT_8 'Cdigo de la 8 limitacin del menor'
DEFIC_8 'Deficiencia de origen de la 8 limitacin del menor'
CODLIMIT_9 'Cdigo de la 9 limitacin del menor'
DEFIC_9 'Deficiencia de origen de la 9 limitacin del menor'
CODLIMIT_10 'Cdigo de la 10 limitacin del menor'
DEFIC_10 'Deficiencia de origen de la 10 limitacin del menor'
CODLIMIT_11 'Cdigo de la 11 limitacin del menor'
DEFIC_11 'Deficiencia de origen de la 11 limitacin del menor'
CODLIMIT_12 'Cdigo de la 12 limitacin del menor'
DEFIC_12 'Deficiencia de origen de la 12 limitacin del menor'
CODLIMIT_13 'Cdigo de la 13 limitacin del menor'
DEFIC_13 'Deficiencia de origen de la 13 limitacin del menor'
B_2 'Ayudas recibidas'
B_3 'Necesidad de ayudas tcnicas'
B_4 'Satisfaccin de las necesidades de ayudas tcnicas'
B_5 'Severidad de la limitacin cuando recibe ayudas'
B_6 'Necesidad de ayudas tcnicas'
B_7 'Severidad de la limitacin cuando no recibe ayudas'
B_8_1 'Aos que tena al inicio de la limitacin'
B_8_2 'Meses que tena al inicio de la limitacin'
B_9 'Problema que caus la deficiencia'
B_10_1 'Aos que tena al inicio de la deficiencia'
B_10_2 'Meses que tena al inicio de la deficiencia'
B_11_1 'Le han diagnosticado espina bfida / hidrocefalia'
B_11_2 'Le han diagnosticado sndrome de Down'
B_11_3 'Le han diagnosticado autismo y otros trastornos asociados al autismo'
B_11_4 'Le han diagnosticado parlisis cerebral'
B_11_5 'Le han diagnosticado dao cerebral'
B_11_6 'Le han diagnosticado trastorno mental'
B_11_7 'Le han diagnosticado lesin medular'
B_11_8 'Le han diagnosticado agenesia / amputacin'
B_11_9 'Le han diagnosticado otra malformacin congnita'
B_11_10 'Le han diagnosticado enfermedades raras'
B_12 'Hijos de la madre antes del nacimiento del menor con alguna limitacin'
B_13 'Edad que tena la madre en el momento del nacimiento del menor con alguna limitacin'
C_1 'Ha tenido que cambiar de vivienda y/o lugar de residencia'
C_2 'Razn principal que motiv el cambio de residencia'
C_3 'Pertenece a alguna ONG'
C_4_1_COD 'Cdigo de la ONG n 1 a la que pertenece'
C_4_2_COD 'Cdigo de la ONG n 2 a la que pertenece'
D_1 'Considera que necesita recibir algn tratamiento de atencin temprana'
D_2 'Ha recibido en los ltimos 12 meses alguna prestacin econmica o beneficio fiscal'
E_1 'Necesita cuidados personales'
E_2 'Quien considera que debe prestar esa ayuda'
E_3 'Alguna persona residente en el hogar le presta cuidados personales'
E_3_NORD1 'N de orden de la 1 persona residente en el hogar que le presta cuidados personales'
E_3_NORD2 'N de orden de la 2 persona residente en el hogar que le presta cuidados personales'
E_3_NORD3 'N de orden de la 3 persona residente en el hogar que le presta cuidados personales'
E_4 'Alguna persona empleada residente en el hogar le presta cuidados personales'
E_4_NORD1 'N de orden de la persona empleada residente en el hogar que le presta cuidados personales'
E_4_NORD1SS 'La persona empleada residente en el hogar que le presta cuidados personales es profesional socio-sanitario'
E_5 'Alguna persona no residente en el hogar le presta cuidados personales'
E_6_1 'Su madre es una persona no residente en el hogar que le presta cuidados personales'
E_6_2 'Su padre es una persona no residente en el hogar que le presta cuidados personales'
E_6_3 'Su hermana es una persona no residente en el hogar que le presta cuidados personales'
E_6_4 'Su hermano es una persona no residente en el hogar que le presta cuidados personales'
E_6_5 'Su abuela es una persona no residente en el hogar que le presta cuidados personales'
E_6_6 'Su abuelo es una persona no residente en el hogar que le presta cuidados personales'
E_6_7 'Las personas no residentes en el hogar que le prestan cuidados personales son otros parientes'
E_6_8 'Las personas no residentes en el hogar que le prestan cuidados personales son empleados no residentes que son profesionales sociosanitarios'
E_6_9 'Las personas no residentes en el hogar que le prestan cuidados personales son otros empleados del hogar'
E_6_10 'Las personas no residentes en el hogar que le prestan cuidados personales son amigos o vecinos'
E_6_11 'Las personas no residentes en el hogar que le prestan cuidados personales son servicios sociales de las Administraciones Pblicas'
E_6_12 'Las personas no residentes en el hogar que le prestan cuidados personales son servicios sociales de organismos no pblicos'
E_6_13 'Las personas no residentes en el hogar que le prestan cuidados personales son empresas privadas'
E_6_14 'Las personas no residentes en el hogar que le prestan cuidados personales son otras'
E_7  'Horas diarias por trmino medio que recibe ayuda de otras personas'
E_8 'Considera que los cuidados personales que recibe satisfacen sus necesidades'
E_9 'Quien considera que debe prestar esa ayuda'
E_10_NORD 'N de orden de la persona que le presta cuidados personales'
CC_INFORM 'El informante es el cuidador principal'
CC_PROXY 'Motivo de la informacin proxy'
CC_B_1 'Sexo de la persona cuidadora principal que no residen en el hogar'
CC_B_2 'Edad de la persona cuidadora principal que no residen en el hogar'
CC_B_3 'Estado civil de la persona cuidadora principal que no residen en el hogar'
CC_B_4 'La persona cuidadora principal que no residen en el hogar convive en pareja'
CC_B_5 'Mayor nivel de estudios termindo por la persona cuidadora principal que no residen en el hogar'
CC_B_6 'Nacionalidad de la persona cuidadora principal empleada en el hogar'
CC_B_7 'Pas de nacionalidad de la persona cuidadora principal empleada en el hogar'
CC_B_8 'Situacin en la que se encontraba la persona la semana pasada en relacin con la actividad econmica'
CC_B_9 'Situacin profesional en la ocupacin que desempeaba la semana pasada'
CC_B_10 'Sector del anterior empleo de la persona cuidadora principal empleada en el hogar'
CC_B_11 'Intencin sobre el futuro empleo de la persona cuidadora principal empleada en el hogar'
CC_B_12_1 'Das a la semana que la persona cuidadora dedica a prestar los cuidados personales'
CC_B_12_2 'Nmero de horas al da que la persona cuidadora dedica a prestar los cuidados personales'
CC_B_13 'Tiempo que lleva prestando cuidados personales'
CC_B_16_1 'Se ha deteriorado la salud de la persona cuidadora'
CC_B_16_2 'La persona cuidadora ha tenido que ponerse en tratamiento para poder llevar la situacin'
CC_B_16_3 'La persona cuidadora se encuentra cansada'
CC_B_16_4 'La persona cuidadora se siente deprimida'
CC_B_16_5 'La persona cuidadora tiene otros problemas'
CC_B_16_6 'La persona cuidadora no tiene ningn problema'
CC_B_16_7 'La persona cuidadora no contesta'
CC_B_17_1 'La persona cuidadora no puede plantearse trabajar fuera de casa'
CC_B_17_2 'La persona cuidadora ha tenido que dejar de trabajar'
CC_B_17_3 'La persona cuidadora ha tenido que reducir su jornada de trabajo'
CC_B_17_4 'La vida profesional de la persona cuidadora se ha resentido'
CC_B_17_5 'La persona cuidadora tiene problemas para cumplir sus horarios'
CC_B_17_6 'La persona cuidadora tiene problemas econmicos'
CC_B_17_7 'La persona cuidadora no tiene ningn problema en el aspecto profesional/econmicos'
CC_B_17_8 'La persona cuidadora no contesta a esta tarjeta'
CC_B_18_1 'La persona cuidadora ha tenido que reducir su tiempo de ocio'
CC_B_18_2 'La persona cuidadora no puede ir de vacaciones'
CC_B_18_3 'La persona cuidadora no tiene tiempo para cuidar de otras personas como le gustara'
CC_B_18_4 'La persona cuidadora tiene conflictos con su pareja'
CC_B_18_5 'La persona cuidadora no tiene tiempo para frecuentar a sus amistades'
CC_B_18_6 'La persona cuidadora no tiene tiempo para cuidar de s misma'
CC_B_18_7 'La persona cuidadora no ha podido formar una familia'
CC_B_18_8 'La persona cuidadora no ha podido tener hijos'
CC_B_18_9 'La persona cuidadora no tiene ningn problema en el aspecto de ocio / tiempo libre / vida familliar'
CC_B_18_10 'La persona cuidadora no contesta a esta tarjeta'
FACTOR 'Factor de elevacin'.
EXECUTE.

VALUE LABELS 
/CCAA
01 'Andaluca'
02 'Aragn'
03 'Principado de Asturias'
04 'Illes Balears'
05 'Canarias'
06 'Cantabria'
07 'Castilla y Leon'
08 'Castilla - La Mancha'
09 'Catalua'
10 'Comunitat Valenciana'
11 'Extremadura'
12 'Galicia'
13 'Comunidad de madrid'
14 'Regin de Murcia'
15 'Comunidad Foral de Navarra'
16 'Pas Vasco'
17 'La Rioja'
18 'Ceuta y Melilla'
 /PROV
01 'lava'
02 'Albacete'
03 'Alicante/Alacant'
04 'Almera'
05 'vila'
06 'Badajoz '
07 'Balears (Illes)'
08 'Barcelona'
09 'Burgos'
10 'Cceres'
11 'Cdiz'
12 'Castelln/Castell'
13 'Ciudad Real'
14 'Crdoba'
15 'Corua (A)'
16 'Cuenca'
17 'Girona'
18 'Granada'
19 'Guadalajara'
20 'Guipzcoa'
21 'Huelva'
22 'Huesca'
23 'Jan'
24 'Len'
25 'Lleida '
26 'Rioja (La) '
27 'Lugo '
28 'Madrid'
29 'Mlaga '
30 'Murcia'
31 'Navarra'
32 'Ourense'
33 'Asturias'
34 'Palencia'
35 'Palmas (Las)'
36 'Pontevedra'
37 'Salamanca'
38 'Santa Cruz de Tenerife'
39 'Cantabria'
40 'Segovia'
41 'Sevilla'
42 'Soria'
43 'Tarragona'
44 'Teruel'
45 'Toledo'
46 'Valencia/Valncia'
47 'Valladolid'
48 'Vizcaya'
49 'Zamora'
50 'Zaragoza'
51 'Ceuta'
52 'Melilla '
 /TMUNI
1 'Capital de provincia y municipios de ms de 100.000 habitantes'
2 'De 50.000 a 100.000 habitantes'
3 'De 20.000 a menos de 50.000 habitantes'
4 'De 10.000 a menos de 20.000 habitantes'
5 'Menos de 10.000 habitantes'
 /SEXO
1 'Nio'
6 'Nia'
 /E_MESES
99 'NC'
 /INFOR_RELAC
1 'Padre/Madre'
2 'Tutor'
3 'Hermano/a'
4 'Abuelo/a'
5 'Otros familiares'
6 'Servicios sociales'
7 'Otros'
 /INFOR_HOG
1 'S'
6 'No'
/DEFIC_1, DEFIC_2, DEFIC_3, DEFIC_4, DEFIC_5, DEFIC_6, DEFIC_7, DEFIC_8, DEFIC_9, DEFIC_10, DEFIC_11, DEFIC_12, DEFIC_13
1 'DEFICIENCIAS MENTALES'
2 'DEFICIENCIAS VISUALES'
3 'DEFICIENCIAS DEL OIDO'
53 'DEFICIENCIAS OSTEOARTICULARES: Extremidades superiores'
54 'DEFICIENCIAS OSTEOARTICULARES: Extremidades inferiores'
59 'DEFICIENCIAS OSTEOARTICULARES: Otras deficiencias osteoarticulares'
4 'DEFICIENCIAS DEL LENGUAJE, HABLA Y VOZ'
6 'DEFICIENCIAS DEL  SISTEMA NERVIOSO'
7 'DEFICIENCIAS VISCERALES'
8 'OTRAS DEFICIENCIAS'
/CODLIMIT_1, CODLIMIT_2, CODLIMIT_3, CODLIMIT_4, CODLIMIT_5, CODLIMIT_6, CODLIMIT_7, CODLIMIT_8, CODLIMIT_9, CODLIMIT_10, CODLIMIT_11, CODLIMIT_12, CODLIMIT_13
1 'Para nios/as de 9 meses o ms, tiene dificultad para mantenerse sentado/a sin apoyo'
2 'Para nios/as de 9 meses o ms, tiene dificultad para permanecer de pie sin apoyo'
3 'Para nios/as de 9 meses o ms, tiene dificultad para andar slo/a'
4 'Es ciego'
5 'Tiene dificultades importantes para ver'
6 'Es sordo total'
7 'Tiene la impresin de que el nio tiene dificultad para oir'
8 'Tiene dificultad para mover los brazos'
9 'Tiene alguna debilidad o rigidez en las piernas'
10 'Tiene a veces convulsiones, se le pone rgido el cuerpo o pierde el conocimiento'
11 'Tiene dificultad para hacer las cosas como los dems nios de su edad'
12 'Se encuentra frecuentemente triste o deprimido/a'
13 'Tiene dificultades para relacionarse, como los dems nios de su edad, con otros nios'
14 'Para nios/as de ms de 2 aos, tiene dificultad para entender rdenes sencillas'
15 'Para nios/as de 2 o 3 aos, tiene dificultad para nombrar y reconocer objetos'
16 'Para nios/as de 3 a 5 aos, tiene dificultades en la forma de hablar'
17 'Participa en algn programa de atencin temprana o servicio de estimulacin'
18 'Diagnstico por mdico o psiclogo de alguna enfermadad de duracin total mayor de 1 ao'
/B_2
1 'S, solo asistencia personal o supervisin'
2 'S, slo ayudas tcnicas'
3 'S, ambos tipos de ayuda'
4 'No'
9 'NC'
 /B_3
1 'S'
6 'No'
9 'NC'
 /B_4
1 'S'
6 'No, son insuficientes'
9 'NC'
 /B_5
1 'No tiene dificultad'
2 'Dificultad moderada'
3 'Dificultad severa'
4 'No puede realizar las actividades de la vida diaria'
9 'NC'
 /B_6
1 'S'
6 'No'
9 'NC'
 /B_7
2 'Dificultad moderada'
3 'Dificultad severa'
4 'No puede realizar las actividades de la vida diaria'
9 'NC'
 /B_8_1
9 'NC'
 /B_8_2
99 'NC'
 /B_9
1 'Un problema congnito'
2 'Problemas en el parto'
3 'Una enfermedad'
4 'Otras causas'
9 'NC'
 /B_10_1
9 'NC'
 /B_10_2
99 'NC'
 /B_11_1 TO B_11_10
1 'S'
6 'No'
9 'NC'
 /B_12
99 'NC'
 /B_13
1 'Menos de 20 aos'
2 'Entre 20 y 29 aos'
3 'Entre 30 y 34 aos'
4 'Entre 35 y 39 aos'
5 'Ms de 40 aos'
9 'NC'
 /C_1
1 'S'
6 'No'
9 'NC'
 /C_2
1 'Ingresar en un establecimiento colectivo por un periodo superior a 6 meses'
2 'Mejor disponibilidad de recursos sanitarios y sociales'
3 'Razones medio ambientales'
4 'Recibir atencin familiar'
5 'Por barreras de acceso al domicilio'
6 'Por barreras en el interior del domicilio'
7 'Otras razones'
9 'NC'
 /C_3
1 'S'
6 'No'
9 'NC'
 /C_4_1_COD, C_4_2_COD
01 'ALCER'
02 'Cruz Roja.'
03 'ASPACE'
04 'ASPAYM'
05 'FEDER (Federacin Espaola de Enfermedades Raras).'
06 'FEDACE (Federacin Espaola de entidades de Dao Cerebral).'
07 'C.N.S.E. Confederacin nacional de sordos en Espaa'
08 'COCEMFE'
09 'AECC (Asociacin Espaola contra el Cncer).'
10 'FEAFES. Confederacin espaola de agrupaciones de familias y enfermos mentales.'
11 'FEAPS'
12 'FIAPAS'
13 'Fundacin de Alzheimer de Espaa.'
14 'ONCE'
15 'SNDROME DE DOWN'
16 'FELEM (Federacin Espaola deLucha contra la Esclerosis Mltiple).'
17 'Federacin Espaola de Parkinson.'
18 'Otras ONGs'
99 'NC'
 /D_1
1 'S, lo necesita y lo recibe'
2 'S, lo necesita y no lo recibe'
3 'No lo necesita'
9 'NC'
 /D_2
1 'S'
6 'No'
9 'NC'
 /E_1
1 'S'
6 'No'
9 'NC'
 /E_2
1 'Profesional sociosanitario'
2 'Otra persona'
3 'Ambas'
9 'NC'
 /E_3
1 'S'
6 'No'
9 'NC'
 /E_3_NORD1
99 'NC'
 /E_4
1 'S'
6 'No'
9 'NC'
 /E_4_NORD1
99 'NC'
 /E_4_NORD1SS
1 'S'
6 'No'
9 'NC'
 /E_5
1 'S'
6 'No'
9 'NC'
 /E_6_1 TO E_6_14
1 'S'
6 'No'
9 'NC'
 /E_7
99 'NC'
 /E_8
1 'S'
6 'No, es insuficiente'
8 'No necesita ayuda de otras personas'
9 'NC'
 /E_9
1 'Profesional sociosanitario'
2 'Otra persona'
3 'Ambas'
9 'NC'
 /E_10_NORD
999 'NC'
 /CC_INFORM
1 'S'
6 'No'
 /CC_PROXY
1 'Ausencia prolongada'
2 'Discapacidad o enfermedad grave que le impide contestar'
3 'Desconocimiento del idioma'
 /CC_B_1
1 'Hombre'
6 'Mujer'
 /CC_B_2
0 a 117 ''
 /CC_B_3
1 'Soltero'
2 'Casado'
3 'Viudo'
4 'Separado legalmenta'
5 'Divorciado'
9 'NC'
 /CC_B_4
1 'S'
6 'No'
9 'NC'
 /CC_B_5
02 'No sabe leer ni escribir'
03 'Estudios primarios incompletos'
04 'Estudios primarios completos o equivalentes'
05 'Educacin secundaria de 1 etapa'
06 'Estudios de Bachillerato'
07 'Enseanza Profesional de Grado Medio'
08 'Enseanzas profesionales superiores'
09 'Estudios universitarios o equivalentes'
99 'NC'
 /CC_B_6
1 'Espaola'
2 'Extranjera'
3 'Espaola y otra'
9 'NC'
 /CC_B_7
01 'Un pas de la Unin Europea excepto Rumana y Bulgaria (EU-25)'
02 'Rumana y Bulgaria'
03 'Otro pas de Europa'
04 'Canad o EEUU'
05 'Ecuador'
06 'Colombia'
07 'Otro pas de Amrica'
08 'Un pas de Asia'
09 'Marruecos'
10 'Otros pas de frica'
11 'Un pas de Oceana'
99 'NC'
/CC_B_8
01 'Trabajando '
02 'En desempleo'
03 'Percibiendo pensin contributiva de jubilacin o incapacidad permanente'
04 'Percibiendo otro tipo de pensin'
05 'Incapacitado para trabajar'
06 'Estudiante'
07 'Dedicado principalmente a las labores del hogar'
08 'Realizando sin remuneracin trabajos sociales o actividades benficas'
09 'Otra situacin'
99 'NC'
 /CC_B_9
1 'Empresario o trabajador autnomo con asalariados'
2 'Empresario o trabajador autnomo sin asalariados'
3 'Ayuda familiar'
4 'Asalariado'
5 'Miembro de una cooperativa'
6 'Otra situacin'
9 'NC'
 /CC_B_10
1 'Sector socio-sanitario'
2 'Otro sector'
3 'ste es su primer empleo'
9 'NC'
 /CC_B_11
1 'Seguira en este tipo de trabajo'
6 'Se dedicara a otro tipo se trabajo'
9 'NC'
 /CC_B_12_1
1 'Menos de 1 da'
2 '1 da'
3 'De 2 a 3 das'
4 'De 4 a 5 das'
5 'De 6 a 7 das'
9 'NC'
 /CC_B_12_2
99 'NC'
 /CC_B_13
1 'Menos de 1 ao'
2 'De 1 hasta 2 aos'
3 'De 2 hasta 4 aos'
4 'De 4 hasta 8 aos'
5 '8 y ms aos'
9 'NC'
 /CC_B_16_1 TO CC_B_16_7
1 'S'
6 'No'
 /CC_B_17_1 TO CC_B_17_8
1 'S'
6 'No'
 /CC_B_18_1 TO CC_B_18_10
1 'S'
6 'No'.
EXECUTE.

* Para cambiar en Factor punto por coma.
LOOP IF INDEX(FACTOR,".")>0.
+ COMPUTE SUBSTR(FACTOR,INDEX(FACTOR,"."),1)=",".
END LOOP.
* Calculamos tabla de frecuencias de sexo, por ejemplo, para que no se quede parado el procesador despus del Loop.
frequencies sexo. 
* cambiamos el formato de factor_bis de cadena a numrico.
alter type FACTOR (f11.2).

*Guardamos el archico como LIMITA.sav.
SAVE OUTFILE=@destino+'\MICRODAT.TOTAL.LIMITA.sav'
 /COMPRESSED.
EXECUTE.

DataSet Name DataSet3.

OUTPUT CLOSE *.
 


